import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListResourcesInput } from "../types/ListResourcesInput";
import { ListResourcesOutput } from "../types/ListResourcesOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/ListResourcesInput";
export * from "../types/ListResourcesOutput";
export * from "../types/ListResourcesExceptionsUnion";
export declare class ListResourcesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListResourcesInput, OutputTypesUnion, ListResourcesOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: ListResourcesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListResourcesInput, ListResourcesOutput, Blob>;
    constructor(input: ListResourcesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<ListResourcesInput, ListResourcesOutput>;
}
