import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTagsForProjectInput } from "../types/ListTagsForProjectInput";
import { ListTagsForProjectOutput } from "../types/ListTagsForProjectOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/ListTagsForProjectInput";
export * from "../types/ListTagsForProjectOutput";
export * from "../types/ListTagsForProjectExceptionsUnion";
export declare class ListTagsForProjectCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTagsForProjectInput, OutputTypesUnion, ListTagsForProjectOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: ListTagsForProjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTagsForProjectInput, ListTagsForProjectOutput, Blob>;
    constructor(input: ListTagsForProjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<ListTagsForProjectInput, ListTagsForProjectOutput>;
}
