"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ToolchainSource_1 = require("./_ToolchainSource");
var _TemplateParameterMap_1 = require("./_TemplateParameterMap");
exports._Toolchain = {
    type: "structure",
    required: ["source"],
    members: {
        source: {
            shape: _ToolchainSource_1._ToolchainSource
        },
        roleArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        stackParameters: {
            shape: _TemplateParameterMap_1._TemplateParameterMap
        }
    }
};
//# sourceMappingURL=_Toolchain.js.map