import { AssociateTeamMemberOutput } from "./AssociateTeamMemberOutput";
import { CreateProjectOutput } from "./CreateProjectOutput";
import { CreateUserProfileOutput } from "./CreateUserProfileOutput";
import { DeleteProjectOutput } from "./DeleteProjectOutput";
import { DeleteUserProfileOutput } from "./DeleteUserProfileOutput";
import { DescribeProjectOutput } from "./DescribeProjectOutput";
import { DescribeUserProfileOutput } from "./DescribeUserProfileOutput";
import { DisassociateTeamMemberOutput } from "./DisassociateTeamMemberOutput";
import { ListProjectsOutput } from "./ListProjectsOutput";
import { ListResourcesOutput } from "./ListResourcesOutput";
import { ListTagsForProjectOutput } from "./ListTagsForProjectOutput";
import { ListTeamMembersOutput } from "./ListTeamMembersOutput";
import { ListUserProfilesOutput } from "./ListUserProfilesOutput";
import { TagProjectOutput } from "./TagProjectOutput";
import { UntagProjectOutput } from "./UntagProjectOutput";
import { UpdateProjectOutput } from "./UpdateProjectOutput";
import { UpdateTeamMemberOutput } from "./UpdateTeamMemberOutput";
import { UpdateUserProfileOutput } from "./UpdateUserProfileOutput";
export declare type OutputTypesUnion = AssociateTeamMemberOutput | CreateProjectOutput | CreateUserProfileOutput | DeleteProjectOutput | DeleteUserProfileOutput | DescribeProjectOutput | DescribeUserProfileOutput | DisassociateTeamMemberOutput | ListProjectsOutput | ListResourcesOutput | ListTagsForProjectOutput | ListTeamMembersOutput | ListUserProfilesOutput | TagProjectOutput | UntagProjectOutput | UpdateProjectOutput | UpdateTeamMemberOutput | UpdateUserProfileOutput;
