import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UntagProjectInput } from "../types/UntagProjectInput";
import { UntagProjectOutput } from "../types/UntagProjectOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/UntagProjectInput";
export * from "../types/UntagProjectOutput";
export * from "../types/UntagProjectExceptionsUnion";
export declare class UntagProjectCommand implements __aws_sdk_types.Command<InputTypesUnion, UntagProjectInput, OutputTypesUnion, UntagProjectOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: UntagProjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UntagProjectInput, UntagProjectOutput, Blob>;
    constructor(input: UntagProjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<UntagProjectInput, UntagProjectOutput>;
}
