"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateTeamMember_1 = require("../model/operations/UpdateTeamMember");
var UpdateTeamMemberCommand = /** @class */ (function () {
    function UpdateTeamMemberCommand(input) {
        this.input = input;
        this.model = UpdateTeamMember_1.UpdateTeamMember;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateTeamMemberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateTeamMemberCommand;
}());
exports.UpdateTeamMemberCommand = UpdateTeamMemberCommand;
//# sourceMappingURL=UpdateTeamMemberCommand.js.map