"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateUserProfileInput_1 = require("../shapes/CreateUserProfileInput");
var CreateUserProfileOutput_1 = require("../shapes/CreateUserProfileOutput");
var UserProfileAlreadyExistsException_1 = require("../shapes/UserProfileAlreadyExistsException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateUserProfile = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateUserProfile",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateUserProfileInput_1.CreateUserProfileInput
    },
    output: {
        shape: CreateUserProfileOutput_1.CreateUserProfileOutput
    },
    errors: [
        {
            shape: UserProfileAlreadyExistsException_1.UserProfileAlreadyExistsException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=CreateUserProfile.js.map