"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CodeStarClient_1 = require("../../CodeStarClient");
var ListProjectsCommand_1 = require("../../commands/ListProjectsCommand");
describe("@aws-sdk/client-codestar-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListProjects should succeed when given correct input", function (done) {
        var client = new CodeStarClient_1.CodeStarClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listProjects = new ListProjectsCommand_1.ListProjectsCommand({});
        client
            .send(listProjects)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map